Bug 193786 - [MAINTAINER] devel/py-robotframework-ride: Convert to USES=python
Summary: [MAINTAINER] devel/py-robotframework-ride: Convert to USES=python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2014-09-20 08:21 UTC by vladimir.chukharev
Modified: 2014-10-04 06:59 UTC (History)
0 users

See Also:


Attachments
Patch (507 bytes, text/plain)
2014-09-20 08:21 UTC, vladimir.chukharev
no flags Details
Output of 'make check-plist stage-qa' (162.81 KB, text/plain)
2014-09-25 06:14 UTC, vladimir.chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2014-09-20 08:21:55 UTC
Created attachment 147498 [details]
Patch

Convert to new format. This does not change the result - no revision bump.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-21 04:35:01 UTC
If possible please also include the following QA results to promote quick 
resolution:

 * Attach successful poudriere testport, or redports.org build logs
 * Attach portlint -AC output (after addressing any outstanding issues)
Comment 2 vladimir.chukharev 2014-09-25 06:14:22 UTC
Created attachment 147662 [details]
Output of 'make check-plist  stage-qa'

 $ portlint -AC /usr/ports/devel/py-robotframework-ride
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.
 $ portlint -aC /usr/ports/devel/py-robotframework-ride
looks fine.

Other passed tests:
make -D DEVELOPER=yes check-plist stage-qa clean # (output is attached)
port test # from ports-mgmt/porttools

Manually started ride.py makes simple operations like open tests and parts in them, typing in some text etc did not expose any problems. I do not use ride.py extensively now, so no testing in real use...

Sorry, I have no working poudriere, and I know nothing about redports.org.
Comment 3 vladimir.chukharev 2014-09-28 09:46:15 UTC
What else is needed for status 'Patch Ready'?
Comment 4 Marcus von Appen freebsd_committer freebsd_triage 2014-10-04 06:58:50 UTC
Committed in ports 369946. Thanks!
Comment 5 commit-hook freebsd_committer 2014-10-04 06:59:19 UTC
A commit references this bug:

Author: mva
Date: Sat Oct  4 06:58:35 UTC 2014
New revision: 369946
URL: https://svnweb.freebsd.org/changeset/ports/369946

Log:
  - Convert to USES=python

  PR:		193786
  Submitted by:	vladimir.chukharev@gmail.com (maintainer)

Changes:
  head/devel/py-robotframework-ride/Makefile